## GstTypeFindFactory GstTypeFindFactory |

## Functions

GList * | gst_type_find_factory_get_list ()
const gchar * const * | gst_type_find_factory_get_extensions ()
GstCaps * | gst_type_find_factory_get_caps ()
gboolean | gst_type_find_factory_has_function ()
void | gst_type_find_factory_call_function ()

## Types and Values

| GstTypeFindFactory

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPluginFeature
                    ╰── GstTypeFindFactory

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_type_find_factory_get_list ()

    GList *
    gst_type_find_factory_get_list (void);

### gst_type_find_factory_get_extensions ()

    const gchar * const *
    gst_type_find_factory_get_extensions (GstTypeFindFactory *factory);

### gst_type_find_factory_get_caps ()

    GstCaps *
    gst_type_find_factory_get_caps (GstTypeFindFactory *factory);

### gst_type_find_factory_has_function ()

    gboolean
    gst_type_find_factory_has_function (GstTypeFindFactory *factory);

### gst_type_find_factory_call_function ()

    void
    gst_type_find_factory_call_function (GstTypeFindFactory *factory,
                                         GstTypeFind *find);

## Types and Values

### GstTypeFindFactory

    typedef struct _GstTypeFindFactory GstTypeFindFactory;